PROJNAME= ftctest
APPNAME= runner
CXXTESTGEN = cxxtestgen.pl
DEFINES= _FILE_OFFSET_BITS=64

OPENBUSINC = ${OPENBUS_HOME}/incpath
OPENBUSLIB = ${OPENBUS_HOME}/libpath/${TEC_UNAME}

INCLUDES= ../src ${OPENBUSINC}/cxxtest
LDIR += ${OPENBUSLIB}

SRC= runner.cpp
 
ifneq ($(findstring Win, $(TEC_SYSNAME)), )
APPTYPE=CONSOLE
LIBS= ftc libeay32 ssleay32 ws2_32
else
LIBS= dl ftc ssl crypto
CPPFLAGS= -g
endif

ifeq "$(TEC_SYSNAME)" "SunOS"
  USE_CC=Yes
  CFLAGS= -g -KPIC -mt -D_REENTRANT
  ifeq ($(TEC_WORDSIZE), TEC_64)
    CFLAGS+= -m64
  endif
  #LFLAGS= $(CFLAGS) -xildoff
  LFLAGS= $(CFLAGS)
  LIBS += rt
endif

cxxtest:
	${CXXTESTGEN} --runner=StdioPrinter -o runner.cpp TestSuite.cpp

